--- old/usr/src/uts/common/os/clock_highres.c	2014-07-28 07:43:50.150593441 -0400
+++ new/usr/src/uts/common/os/clock_highres.c	2014-07-28 07:43:50.156110217 -0400
@@ -93,7 +93,7 @@
 
 	do {
 		old = *addr;
-	} while (cas64((uint64_t *)addr, old, new) != old);
+	} while (atomic_cas_64((uint64_t *)addr, old, new) != old);
 
 	timer_fire(it);
 }
@@ -235,10 +235,10 @@
 	hrtime_t last;
 
 	/*
-	 * We're using cas64() here only to assure that we slurp the entire
-	 * timestamp atomically.
+	 * We're using atomic_cas_64() here only to assure that we slurp the
+	 * entire timestamp atomically.
 	 */
-	last = cas64((uint64_t *)addr, 0, 0);
+	last = atomic_cas_64((uint64_t *)addr, 0, 0);
 
 	*when = it->it_itime;
 
